module Graphics.PS.Image (Image(..), over) where

import qualified Graphics.PS.Matrix as M
import qualified Graphics.PS.Path as P
import qualified Graphics.PS.GS as G

data Image = Stroke G.GS P.Path
           | Fill G.GS P.Path
           | ITransform M.Matrix Image
           | Over Image Image
           | Empty
             deriving (Eq, Show)

-- | Layer one image over another.
over :: Image -> Image -> Image
over = Over
